Skip to content
Navigation

Replace a company's capital-market identity

PUT
https://api.sureshake.com/v2/entities/{id}/market-identity

Path parameters

  • id
    string
    required
    format: uuid

Request body JSON required

  • companyMarketStatus
    public
    or
    private
    or null
    required
  • primaryExchange
    string
    or null
    required
    maxLength: 32 · minLength: 2 · pattern: ^[A-Z0-9][A-Z0-9._-]{1,31}$
  • primaryTicker
    string
    or null
    required
    maxLength: 15 · minLength: 1 · pattern: ^[A-Z0-9][A-Z0-9.-]{0,14}$
  • sureshakeTicker
    string
    or null
    required
    maxLength: 10 · minLength: 2 · pattern: ^[A-Z][A-Z0-9]{1,9}$

Returns

200

Default Response

JSON
  • data
    object
    required
    • entityId
      string
      required
      format: uuid
    • entityType
      string
      or null
      required
    • companyMarketStatus
      public
      or
      private
      or null
      required
    • primaryExchange
      string
      or null
      required
    • primaryTicker
      string
      or null
      required
    • sureshakeTicker
      string
      or null
      required
    • isPubliclyListed
      boolean
      required
    • updatedAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close